// yesJumpPage.js
var _userdata = require("userdata.js");
var userData = _userdata.userData;
var router = require("@system.router");
var that;

function commonInitPage(obj) {
    that = obj;
}
function movePage (newPage) {
    //console.log(that.activePage + "==========to==========" + newPage);
    that.$hide(that.activePage); // 跳转页面之前立即关掉toast
    that.$setY(that.activePage, -480); // hide
    that.$show(newPage)
    that.$setY(newPage, 0); // show
    that.activePage = newPage;
}


module.exports = {
    commonInitPage: commonInitPage,
    movePage: movePage,
}